Subject: Re: t3010 broken by 2eac2a4

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Aug 2013 14:32:42 -0700

Eric Sunshine <[email-masked]> writes:

> On Thu, Aug 22, 2013 at 5:16 PM, Junio C Hamano <[email-masked]> wrote:
>> Eric Sunshine <[email-masked]> writes:
>>
>>> I can confirm this failure on OS X, however,...
>
> Thanks for the explanation.

Now, I am curious how it breaks on OS X.

My suspition is that "ignore_case" may have something to do with it,
but what 2eac2a4c (ls-files -k: a directory only can be killed if
the index has a non-directory, 2013-08-15) uses are the bog-standard
cache_name_exists() and directory_exists_in_index(), so one of these
internal API implementation has trouble on case insensitive
filesystems, perhaps?  I dunno.